---
title: RadioNodeList
slug: Web/API/RadioNodeList
tags:
  - API
  - HTML DOM
  - Interface
  - RadioNodeList
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>RadioNodeList</code></strong> interface represents a collection of radio elements in a {{HTMLElement("form")}} or a {{HTMLElement("fieldset")}} element.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>RadioNodeList</code></em><em> interface inherits the properties of </em>{{domxref("NodeList")}}.</p>

<dl>
 <dt>{{domxref("RadioNodeList.value")}}</dt>
 <dd>If the underlying element collection contains radio buttons, the <code>value</code> property represents the checked radio button. On retrieving the <code>value</code> property, the <code>value</code> of the currently <code>checked</code> radio button is returned as a string. If the collection does not contain any radio buttons or none of the radio buttons in the collection is in <code>checked</code> state, the empty string is returned. On setting the <code>value</code> property, the first radio button input element whose <code>value</code> property is equal to the new value will be set to <code>checked</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The <code>RadioNodeList</code></em><em> interface inherits the methods of </em>{{domxref("NodeList")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comments</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#radionodelist", "RadioNodeList")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RadioNodeList")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{HTMLElement("form")}}, {{HTMLElement("fieldset")}}, {{HTMLElement("input")}} elements.</li>
</ul>
